com.informix.jns

## Class FileSqlhosts

- java.lang.Object
- - com.informix.jns.FileSqlhosts

    public class FileSqlhosts
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FileSqlhosts(java.util.Properties sqhenv)` Constructs a FileSqlhost Object.

### Method Summary

All Methods Instance Methods Concrete Methods
`ServerInfo` `getServer(java.lang.String sname)` Gets the ServerInfo given the server name string
`ServerGroup` `getServerGroup(java.lang.String sname)` Gets the ServerGroup given the server group name string
`ServerGroup` `listServers()` Lists all the servers in the SQLHOSTS

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSqlhosts

    public FileSqlhosts(java.util.Properties sqhenv)
                 throws IfxJNSException

Constructs a FileSqlhost Object.

Parameters:
  `sqhenv` - the environement properties list that provides the necessary parameters. Following [optional] properties are defined : "SQLH_FILE" --> value 'the file name' if SQLH_TYPE is "FILE"
Throws:
  `IfxJNSException`

### Method Detail

#### getServer

    public ServerInfo getServer(java.lang.String sname)
                         throws IfxJNSException

Gets the ServerInfo given the server name string

Parameters:
  `sname` - the server name string
Throws:
  `IfxJNSException`

#### getServerGroup

    public ServerGroup getServerGroup(java.lang.String sname)
                               throws IfxJNSException

Gets the ServerGroup given the server group name string

Parameters:
  `sname` - the server group name string
Throws:
  `IfxJNSException`

#### listServers

    public ServerGroup listServers()
                            throws IfxJNSException

Lists all the servers in the SQLHOSTS

Throws:
  `IfxJNSException`